package com.chenyang.nse.bussiness.entity.vo.dataproject;

import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreDataFileGroup;
import java.util.Date;
import java.util.List;

public class TCoreSearchregexVO {
   private String id;
   private Date createtime;
   private String createuser;
   private String dataarea;
   private String ruleid;
   private String name;
   private String flag;
   private String regex;
   private String icon;
   private String ruleexample;
   private String ruleargument;
   private String note;
   private String defaulttype;
   private String discoverway;
   private String selectdatafield;
   private String dictionaryClass;
   private String matchingway;
   private String remark;
   private List<TCoreDataFileGroup> datafile;

   public List<TCoreDataFileGroup> getDatafile() {
      return this.datafile;
   }

   public void setDatafile(List<TCoreDataFileGroup> tCoreDataFileGroupList) {
      this.datafile = tCoreDataFileGroupList;
   }

   public String getDiscoverway() {
      return this.discoverway;
   }

   public void setDiscoverway(String discoverway) {
      this.discoverway = discoverway;
   }

   public String getSelectdatafield() {
      return this.selectdatafield;
   }

   public void setSelectdatafield(String selectdatafield) {
      this.selectdatafield = selectdatafield;
   }

   public String getDictionaryClass() {
      return this.dictionaryClass;
   }

   public void setDictionaryClass(String dictionaryClass) {
      this.dictionaryClass = dictionaryClass;
   }

   public String getMatchingway() {
      return this.matchingway;
   }

   public void setMatchingway(String matchingway) {
      this.matchingway = matchingway;
   }

   public String getTid() {
      return this.id;
   }

   public void setTid(String id) {
      this.id = id;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }

   public String getDataarea() {
      return this.dataarea;
   }

   public void setDataarea(String dataarea) {
      this.dataarea = dataarea;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getRegex() {
      return this.regex;
   }

   public void setRegex(String regex) {
      this.regex = regex;
   }

   public String getIcon() {
      return this.icon;
   }

   public void setIcon(String icon) {
      this.icon = icon;
   }

   public String getRuleexample() {
      return this.ruleexample;
   }

   public void setRuleexample(String ruleexample) {
      this.ruleexample = ruleexample;
   }

   public String getRuleargument() {
      return this.ruleargument;
   }

   public void setRuleargument(String ruleargument) {
      this.ruleargument = ruleargument;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getDefaulttype() {
      return this.defaulttype;
   }

   public void setDefaulttype(String defaulttype) {
      this.defaulttype = defaulttype;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }
}
